org.apache.tamaya.model

## Enum ModelType

- java.lang.Object
- - java.lang.Enum<ModelType>
  - - org.apache.tamaya.model.ModelType

- All Implemented Interfaces:
    Serializable, Comparable<ModelType>

      public enum ModelType
      extends Enum<ModelType>

  This enumeration defines the types of supported validations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CombinationPolicy` ConfigModel to ensure a certain combination policy is active.
    `Filter` ConfigModel to ensure a certain configuration filter is installed.
    `Group` ConfigModel that is a container of other validations.
    `LoadableClass` ConfigModel to simply check availability for a class on the current classpath.
    `Parameter` A configuration paramter.
    `Section` A configuration section.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Section

          public static final ModelType Section

      A configuration section.

    - #### Parameter

          public static final ModelType Parameter

      A configuration paramter.

    - #### Filter

          public static final ModelType Filter

      ConfigModel to ensure a certain configuration filter is installed.

    - #### CombinationPolicy

          public static final ModelType CombinationPolicy

      ConfigModel to ensure a certain combination policy is active.

    - #### Group

          public static final ModelType Group

      ConfigModel that is a container of other validations.

    - #### LoadableClass

          public static final ModelType LoadableClass

      ConfigModel to simply check availability for a class on the current classpath.

  - ### Method Detail

    - #### values

          public static ModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelType c : ModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.